curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/products/{productId}/pricing \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/products/{productId}/pricing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/products/{productId}/pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "Basic Product",
"sku": "BASIC-001",
"is_active": true,
"wholesale_price": 100,
"retail_price": 150,
"pricing_schedule": {
"id": 1,
"name": "Standard Volume Discount",
"modification_type": "PERCENTAGE",
"price_levels": [
{
"id": 1,
"name": "Standard",
"amount": 0,
"tiers": [
{
"min_quantity": 0,
"price": 100,
"is_overridden": false
}
]
}
]
},
"company_pricing": [
{
"company": {
"id": 1,
"name": "Test Business 1"
},
"price": 140
}
]
}{
"error": "Unauthorized",
"message": "Authentication credentials are missing or invalid",
"status_code": 401
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource",
"status_code": 403
}{
"error": "Not Found",
"message": "The requested resource could not be found",
"status_code": 404
}Single product pricing
Retrieve comprehensive pricing information for a specific product, including base price, pricing tiers, price levels, and any company-specific pricing overrides.
This endpoint returns detailed pricing information that shows volume-based pricing tiers across different price levels as configured in the product’s pricing schedule.
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
The unique identifier of the product
Response
Detailed pricing information for the product
Product ID
1
Product name
"Basic Product"
Product SKU
"BASIC-001"
Whether the product is active
true
The wholesale price of the product
100
The retail price of the product
150
Pricing schedule configuration for the product
Show child attributes
Show child attributes
Company-specific pricing overrides (if applicable)
Show child attributes
Show child attributes